org.apache.olingo.odata2.client.core.ep.serializer

## Class JsonPropertyEntitySerializer

- java.lang.Object
- - org.apache.olingo.odata2.client.core.ep.serializer.JsonPropertyEntitySerializer

-     public class JsonPropertyEntitySerializer
      extends Object

  Producer for writing a single simple or complex property in JSON, also usable for function imports returning a single instance of a simple or complex type.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonPropertyEntitySerializer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(Writer writer, org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo, Object value)` Serializes a property of every entry in json payload
    `protected static void` | `appendPropertyMetadata(org.apache.olingo.odata2.core.ep.util.JsonStreamWriter jsonStreamWriter, EdmType type)`
    `protected static void` | `appendPropertyValue(org.apache.olingo.odata2.core.ep.util.JsonStreamWriter jsonStreamWriter, org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo, Object value, boolean validatingFacets)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonPropertyEntitySerializer

          public JsonPropertyEntitySerializer()

  - ### Method Detail

    - #### append

          public void append(Writer writer,
                             org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo,
                             Object value)
                      throws EntityProviderException

      Serializes a property of every entry in json payload
      Parameters:
        `writer` -
        `propertyInfo` -
        `value` -
      Throws:
        `EntityProviderException`

    - #### appendPropertyValue

          protected static void appendPropertyValue(org.apache.olingo.odata2.core.ep.util.JsonStreamWriter jsonStreamWriter,
                                                    org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo,
                                                    Object value,
                                                    boolean validatingFacets)
                                             throws IOException,
                                                    EdmException,
                                                    EntityProviderException

      Throws:
        `IOException`
        `EdmException`
        `EntityProviderException`

    - #### appendPropertyMetadata

          protected static void appendPropertyMetadata(org.apache.olingo.odata2.core.ep.util.JsonStreamWriter jsonStreamWriter,
                                                       EdmType type)
                                                throws IOException,
                                                       EdmException

      Throws:
        `IOException`
        `EdmException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.